GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
gdcm::Validate Class Reference

Validate class. More...

`#include <gdcmValidate.h>`

Collaboration diagram for gdcm::Validate:
[legend]

## Public Member Functions

| Validate ()
| ~Validate ()
const File & | GetValidatedFile ()
void | SetFile (File const &f)
void | Validation ()

## Protected Attributes

const File * | F
File | V

## Detailed Description

Validate class.

## Constructor & Destructor Documentation

gdcm::Validate::Validate | ( |  | ) |

gdcm::Validate::~Validate | ( |  | ) |

## Member Function Documentation

const File& gdcm::Validate::GetValidatedFile | ( |  | ) |

inline

void gdcm::Validate::SetFile | ( | File const & | f | ) |

inline

void gdcm::Validate::Validation | ( |  | ) |

## Member Data Documentation

const File* gdcm::Validate::F

protected

File gdcm::Validate::V

protected

The documentation for this class was generated from the following file:

- gdcmValidate.h